---
navigation_title: "Functions and operators"
mapped_pages:
  - https://www.elastic.co/guide/en/elasticsearch/reference/current/esql-functions-operators.html
---

# {{esql}} functions and operators [esql-functions-operators]


{{esql}} provides a comprehensive set of functions and operators for working with data. The reference documentation is divided into the following categories:

## Functions overview [esql-functions]

::::{dropdown} Aggregate functions
:::{include} _snippets/lists/aggregation-functions.md
:::
::::

::::{dropdown} Grouping functions
:::{include} _snippets/lists/grouping-functions.md
:::
::::

::::{dropdown} Conditional functions and expressions
:::{include} _snippets/lists/conditional-functions-and-expressions.md
:::
::::

::::{dropdown} Date and time functions
:::{include} _snippets/lists/date-time-functions.md
:::
::::

::::{dropdown} IP functions
:::{include} _snippets/lists/ip-functions.md
:::
::::

::::{dropdown} Math functions
:::{include} _snippets/lists/math-functions.md
:::
::::

::::{dropdown} Search functions
:::{include} _snippets/lists/search-functions.md
:::
::::

::::{dropdown} Spatial functions
:::{include} _snippets/lists/spatial-functions.md
:::
::::

::::{dropdown} String functions
:::{include} _snippets/lists/string-functions.md
:::
::::

::::{dropdown} Type conversion functions
:::{include} _snippets/lists/type-conversion-functions.md
:::
::::

::::{dropdown} Multi value functions
:::{include} _snippets/lists/mv-functions.md
:::
::::


## Operators overview [esql-operators-overview]

::::{dropdown} Operators
:::{include} _snippets/lists/operators.md
:::
::::

% Below this is the bulk of the real content

:::{include} _snippets/aggregation-functions.md
:::

:::{include} _snippets/grouping-functions.md
:::

:::{include} _snippets/conditional-functions-and-expressions.md
:::

:::{include} _snippets/date-time-functions.md
:::

:::{include} _snippets/ip-functions.md
:::

:::{include} _snippets/math-functions.md
:::

:::{include} _snippets/search-functions.md
:::

:::{include} _snippets/spatial-functions.md
:::

:::{include} _snippets/string-functions.md
:::

:::{include} _snippets/type-conversion-functions.md
:::

:::{include} _snippets/mv-functions.md
:::

:::{include} _snippets/operators.md
:::
